跳至主要內容
hs-sql-agent
2.0.6
文件 2.0.6
文件 參考

管理 REST API Reference

逐一查看所有管理 API 的 Request/Response Model Properties、型別、必填與 Nullable。

展開任一 API 即可查看 Path/Query Parameters、Request Body、各個 HTTP Response 的 Model Properties,以及巢狀欄位、型別、Required、Nullable 與欄位限制。內容由後端 Controller/DTO 的 OpenAPI Metadata 產生,不靠手寫猜測。

先在 Admin UI 簽發 System-to-System Key,再呼叫現有 API.

93 API 操作 · 28 項操作已定義回應模型 · v2.0.6 055aa695764f

身分驗證與帳號 Auth

GET /api/Auth/account

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Auth/account

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
username string 是 否 最長長度: 100
email string 是 否 最長長度: 320

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Auth/account/password

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
currentPassword string 是 否 —
newPassword string 是 否 最短長度: 8

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/first-run

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/forgot-password

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
email string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/mfa/confirm

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
code string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/mfa/disable

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
code string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/mfa/setup

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/mfa/status

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/mfa/verify

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
code string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/oidc/callback

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/oidc/exchange

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
code string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/oidc/login

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/oidc/status

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/refresh-token

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/reset-password

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
token string 是 否 —
newPassword string 是 否 最短長度: 8

回應模型

200 成功

後端尚未宣告此回應的資料模型

DELETE /api/Auth/sessions

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Auth/sessions

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

DELETE /api/Auth/sessions/{sessionId}

身分驗證: —

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
sessionId path string (uuid) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/sign-in

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
email string 是 否 —
password string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/sign-out

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 否

欄位型別必填可為 null說明與限制
<variant2>.refreshToken string 否 是 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Auth/sign-up

身分驗證: —

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
email string 是 否 —
password string 是 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

憑證狀態 Credential

GET /api/Credential/status

身分驗證: —

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

自訂 SQL 工具 CustomSqlTool

GET /api/CustomSqlTool

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].name string 否 否 —
[].description string 否 否 —
[].sqlTemplate string 否 否 —
[].type string 否 否 —
[].parametersJson string 否 是 —
[].dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].status string 否 否 —
[].publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].publishedIdentity string 否 是 —
[].createdAt string (date-time) 否 否 —
[].lastModifiedAt string (date-time) 否 是 —
POST /api/CustomSqlTool

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.create

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

回應模型

201 已建立

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
DELETE /api/CustomSqlTool/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.delete

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

204 成功,無回應內容

此回應不包含內容

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/CustomSqlTool/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
PUT /api/CustomSqlTool/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/CustomSqlTool/{id}/disable

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/CustomSqlTool/{id}/impact

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
toolId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
draftDbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
draftDatabaseName string 否 是 —
publishedDbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedDatabaseName string 否 是 —
currentlyExposedToKeys array<CustomSqlToolImpactKey> 否 否 —
currentlyExposedToKeys[].id integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
currentlyExposedToKeys[].name string 是 否 —
currentlyExposedToKeys[].keyPrefix string 是 否 —
wouldExposeToKeys array<CustomSqlToolImpactKey> 否 否 —
wouldExposeToKeys[].id integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
wouldExposeToKeys[].name string 是 否 —
wouldExposeToKeys[].keyPrefix string 是 否 —
breakingChanges array<string> 否 否 —
sqlChanged boolean 否 否 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/CustomSqlTool/{id}/publish

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

409 操作衝突

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/CustomSqlTool/{id}/revisions

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].customSqlToolId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].revisionNumber integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].name string 否 否 —
[].description string 否 否 —
[].sqlTemplate string 否 否 —
[].type string 否 否 —
[].parametersJson string 否 是 —
[].diffJson string 否 否 —
[].publishedBy string 否 是 —
[].publishedAt string (date-time) 否 否 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/CustomSqlTool/{id}/rollback/{revisionId}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —
revisionId path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
description string 否 否 —
sqlTemplate string 否 否 —
type string 否 否 —
parametersJson string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
status string 否 否 —
publishedRevisionId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
publishedIdentity string 否 是 —
createdAt string (date-time) 否 否 —
lastModifiedAt string (date-time) 否 是 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

409 操作衝突

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/CustomSqlTool/test-execute

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/custom-tools.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
toolId integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
parameters object 否 是 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

資料庫管理 DbManagement

GET /api/DbManagement

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].name string 否 否 —
[].sqlProvider string 否 否 —
[].host string 否 否 —
[].port string 否 否 —
[].username string 否 否 —
[].database string 否 否 —
[].extraSettings string 否 是 —
[].createdAt string 否 否 —
[].createdBy string 否 否 —
[].updatedAt string 否 否 —
[].updatedBy string 否 否 —
[].isBootstrapManaged boolean 否 否 —
POST /api/DbManagement

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.create

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 否 否 —
sqlProvider string 否 否 —
host string 否 否 —
port string 否 否 —
username string 否 否 —
password string 否 否 —
database string 否 否 —
extraSettings string 否 是 —
createdBy string 否 否 —
updatedBy string 否 否 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
sqlProvider string 否 否 —
host string 否 否 —
port string 否 否 —
username string 否 否 —
database string 否 否 —
extraSettings string 否 是 —
createdAt string 否 否 —
createdBy string 否 否 —
updatedAt string 否 否 —
updatedBy string 否 否 —
isBootstrapManaged boolean 否 否 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
DELETE /api/DbManagement/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.delete

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

204 成功,無回應內容

此回應不包含內容

GET /api/DbManagement/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
sqlProvider string 否 否 —
host string 否 否 —
port string 否 否 —
username string 否 否 —
database string 否 否 —
extraSettings string 否 是 —
createdAt string 否 否 —
createdBy string 否 否 —
updatedAt string 否 否 —
updatedBy string 否 否 —
isBootstrapManaged boolean 否 否 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
PUT /api/DbManagement/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 否 否 —
sqlProvider string 否 否 —
host string 否 否 —
port string 否 否 —
username string 否 否 —
password string 否 否 —
database string 否 否 —
extraSettings string 否 是 —
createdBy string 否 否 —
updatedBy string 否 否 —

回應模型

204 成功,無回應內容

此回應不包含內容

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/DbManagement/{id}/columns

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —
schema query string 否 —
table query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/DbManagement/{id}/schemas

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/DbManagement/{id}/tables

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —
schema query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

語意中繼資料 DbSemantic

POST /api/DbSemantic

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
schemaName string 否 是 —
tableName string 否 否 —
columnName string 否 是 —
description string 否 是 —
displayName string 否 是 —
synonyms array<string> 否 是 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
schemaName string 否 是 —
tableName string 否 否 —
columnName string 否 是 —
description string 否 是 —
displayName string 否 是 —
synonyms array<string> 否 否 —
createdAt string 否 否 —
updatedAt string 否 否 —
GET /api/DbSemantic/{dbManagementId}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
dbManagementId path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].schemaName string 否 是 —
[].tableName string 否 否 —
[].columnName string 否 是 —
[].description string 否 是 —
[].displayName string 否 是 —
[].synonyms array<string> 否 否 —
[].createdAt string 否 否 —
[].updatedAt string 否 否 —
GET /api/DbSemantic/{dbManagementId}/model

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
dbManagementId path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
dbManagementId integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
entities array<DbSemanticVM> 是 否 —
entities[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
entities[].dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
entities[].schemaName string 否 是 —
entities[].tableName string 否 否 —
entities[].columnName string 否 是 —
entities[].description string 否 是 —
entities[].displayName string 否 是 —
entities[].synonyms array<string> 否 否 —
entities[].createdAt string 否 否 —
entities[].updatedAt string 否 否 —
relationships array<DbSemanticRelationshipModel> 是 否 —
relationships[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
relationships[].dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
relationships[].name string 否 否 —
relationships[].sourceSchema string 否 是 —
relationships[].sourceTable string 否 否 —
relationships[].sourceColumn string 否 否 —
relationships[].targetSchema string 否 是 —
relationships[].targetTable string 否 否 —
relationships[].targetColumn string 否 否 —
relationships[].cardinality string 否 否 —
relationships[].direction string 否 否 —
relationships[].description string 否 是 —
metrics array<DbSemanticMetricModel> 是 否 —
metrics[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
metrics[].dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
metrics[].schemaName string 否 是 —
metrics[].tableName string 否 否 —
metrics[].name string 否 否 —
metrics[].displayName string 否 是 —
metrics[].description string 否 是 —
metrics[].formula string 否 否 —
metrics[].aggregation string 否 否 —
metrics[].grain string 否 是 —
metrics[].filter string 否 是 —
metrics[].synonyms array<string> 否 是 —
metrics[].executable boolean 否 否 —
DELETE /api/DbSemantic/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/DbSemantic/metric

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
schemaName string 否 是 —
tableName string 否 否 —
name string 否 否 —
displayName string 否 是 —
description string 否 是 —
formula string 否 否 —
aggregation string 否 否 —
grain string 否 是 —
filter string 否 是 —
synonyms array<string> 否 是 —
executable boolean 否 否 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
schemaName string 否 是 —
tableName string 否 否 —
name string 否 否 —
displayName string 否 是 —
description string 否 是 —
formula string 否 否 —
aggregation string 否 否 —
grain string 否 是 —
filter string 否 是 —
synonyms array<string> 否 是 —
executable boolean 否 否 —
DELETE /api/DbSemantic/metric/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/DbSemantic/relationship

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
sourceSchema string 否 是 —
sourceTable string 否 否 —
sourceColumn string 否 否 —
targetSchema string 否 是 —
targetTable string 否 否 —
targetColumn string 否 否 —
cardinality string 否 否 —
direction string 否 否 —
description string 否 是 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
sourceSchema string 否 是 —
sourceTable string 否 否 —
sourceColumn string 否 否 —
targetSchema string 否 是 —
targetTable string 否 否 —
targetColumn string 否 否 —
cardinality string 否 否 —
direction string 否 否 —
description string 否 是 —
DELETE /api/DbSemantic/relationship/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/db-management/semantic.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer | string (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

管理 API 金鑰 ManagementApiKeys

GET /api/runtime/management-api-keys

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].name string 是 否 —
[].keyPrefix string 是 否 —
[].permissions array<string> 是 否 —
[].createdAt string (date-time) 是 否 —
[].expiresAt string (date-time) 是 否 —
[].lastUsedAt string (date-time) 是 是 —
[].revokedAt string (date-time) 是 是 —
[].createdBy string 是 是 —
POST /api/runtime/management-api-keys

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 是 否 —
expiresAt string (date-time) 是 否 —
permissions array<string> 是 否 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
key ManagementApiKeyView 是 否 —
key.id integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
key.name string 是 否 —
key.keyPrefix string 是 否 —
key.permissions array<string> 是 否 —
key.createdAt string (date-time) 是 否 —
key.expiresAt string (date-time) 是 否 —
key.lastUsedAt string (date-time) 是 是 —
key.revokedAt string (date-time) 是 是 —
key.createdBy string 是 是 —
plaintextKey string 是 否 —

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/runtime/management-api-keys/{id}/revoke

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

204 成功,無回應內容

此回應不包含內容

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/runtime/management-api-keys/{id}/rotate

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
key ManagementApiKeyView 是 否 —
key.id integer | string (int32) 是 否 格式規則: ^-?(?:0|[1-9]\d*)$
key.name string 是 否 —
key.keyPrefix string 是 否 —
key.permissions array<string> 是 否 —
key.createdAt string (date-time) 是 否 —
key.expiresAt string (date-time) 是 否 —
key.lastUsedAt string (date-time) 是 是 —
key.revokedAt string (date-time) 是 是 —
key.createdBy string 是 是 —
plaintextKey string 是 否 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —

409 操作衝突

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/runtime/management-api-keys/permissions

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
(請求或回應內容) array<string> — 否 —

用戶端設定 McpClientConfig

GET /api/runtime/client-config

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
mcpEndpoint string 是 否 —

使用者管理 Member

GET /api/Member

身分驗證: AdminBearer

所需權限: /auth/user.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
Search query string 否 —
IsActive query boolean 否 —
RoleId query integer | string (int32) 否 —
Page query integer | string (int32) 否 —
PageSize query integer | string (int32) 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Member

身分驗證: AdminBearer

所需權限: /auth/user.create

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
email string 是 否 —
username string 否 是 —
password string 是 否 —
assignAllRoles boolean 否 否 —
roleIds array<integer | string (int32)> 否 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

DELETE /api/Member/{id}

身分驗證: AdminBearer

所需權限: /auth/user.delete

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Member/{id}/password-change-required

身分驗證: AdminBearer

所需權限: /auth/user.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
required boolean 否 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Member/{id}/roles

身分驗證: AdminBearer

所需權限: /auth/user.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
roleIds array<integer | string (int32)> 否 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

DELETE /api/Member/{id}/sessions

身分驗證: AdminBearer

所需權限: /auth/user.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Member/{id}/status

身分驗證: AdminBearer

所需權限: /auth/user.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
isActive boolean 否 否 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

角色與權限 Role

GET /api/Role

身分驗證: AdminBearer

所需權限: /auth/role.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/Role

身分驗證: AdminBearer

所需權限: /auth/role.create

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 是 否 —
description string 否 是 —
permissionActions array<PermissionActionSelection> 否 否 —
permissionActions[].permissionId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
permissionActions[].actionId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$

回應模型

200 成功

後端尚未宣告此回應的資料模型

DELETE /api/Role/{id}

身分驗證: AdminBearer

所需權限: /auth/role.delete

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —
force query boolean 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/Role/{id}

身分驗證: AdminBearer

所需權限: /auth/role.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 是 否 —
description string 否 是 —
permissionActions array<PermissionActionSelection> 否 否 —
permissionActions[].permissionId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
permissionActions[].actionId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Role/{id}/dependencies

身分驗證: AdminBearer

所需權限: /auth/role.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/Role/permission-action-templates

身分驗證: AdminBearer

所需權限: /auth/role.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

執行環境與存取金鑰 RuntimeAdmin

GET /api/runtime/audit

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/audit.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
page query integer | string (int32) 否 —
pageSize query integer | string (int32) 否 —
action query string 否 —
keyword query string 否 —
from query string (date-time) 否 —
to query string (date-time) 否 —
result query string 否 —
actor query string 否 —
dbManagementId query integer | string (int32) 否 —
accessKeyId query integer | string (int32) 否 —
toolName query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/audit/daily-summary

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/audit.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
days query integer | string (int32) 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/audit/export

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/audit.export

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
Page query integer | string (int32) 否 —
PageSize query integer | string (int32) 否 —
Action query string 否 —
Keyword query string 否 —
From query string (date-time) 否 —
To query string (date-time) 否 —
Result query string 否 —
Actor query string 否 —
DbManagementId query integer | string (int32) 否 —
AccessKeyId query integer | string (int32) 否 —
ToolName query string 否 —
format query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/audit/retention

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/audit.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/runtime/audit/retention/dry-run

身分驗證: AdminBearer

所需權限: /runtime/audit.edit

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/runtime/audit/retention/execute

身分驗證: AdminBearer

所需權限: /runtime/audit.edit

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/mcp-keys

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
[].id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
[].name string 否 否 —
[].keyPrefix string 否 否 —
[].isActive boolean 否 否 —
[].expiresAt string (date-time) 否 是 —
[].lastUsedAt string (date-time) 否 是 —
[].allowedTools string 否 是 —
[].corsAllowedOrigins string 否 是 —
[].sqlProvider string 否 是 —
[].dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].dbManagementName string 否 是 —
[].isExpired boolean 否 否 —
[].isExpiringSoon boolean 否 否 —
[].tableWhitelist string 否 是 —
[].createdAt string (date-time) 否 否 —
[].rateLimitMode McpKeyRateLimitMode 否 否 —
[].permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].effectivePermitLimit integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].effectiveWindowSeconds integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
[].isBootstrapManaged boolean 否 否 —
POST /api/runtime/mcp-keys

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.create

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 否 否 —
expiresAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 否 是 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
keyPrefix string 否 否 —
plaintextKey string 否 否 —
expiresAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
sqlProvider string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 否 是 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

400 請求資料有誤

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
PUT /api/runtime/mcp-keys/{id}

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 否 否 —
expiresAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 否 是 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
keyPrefix string 否 否 —
isActive boolean 否 否 —
expiresAt string (date-time) 否 是 —
lastUsedAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
sqlProvider string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementName string 否 是 —
isExpired boolean 否 否 —
isExpiringSoon boolean 否 否 —
tableWhitelist string 否 是 —
createdAt string (date-time) 否 否 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
effectivePermitLimit integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
effectiveWindowSeconds integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
isBootstrapManaged boolean 否 否 —

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/runtime/mcp-keys/{id}/clone

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.create

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
name string 否 否 —
expiresAt string (date-time) 否 是 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
keyPrefix string 否 否 —
plaintextKey string 否 否 —
expiresAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
sqlProvider string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 否 是 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
POST /api/runtime/mcp-keys/{id}/revoke

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.revoke

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/runtime/mcp-keys/{id}/rotate

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int32) 是 —

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
gracePeriodMinutes integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
expiresAt string (date-time) 否 是 —

回應模型

200 成功

欄位型別必填可為 null說明與限制
id integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
name string 否 否 —
keyPrefix string 否 否 —
plaintextKey string 否 否 —
expiresAt string (date-time) 否 是 —
allowedTools string 否 是 —
corsAllowedOrigins string 否 是 —
sqlProvider string 否 是 —
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
tableWhitelist string 否 是 —
rateLimitMode McpKeyRateLimitMode 否 否 —
permitLimitOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
windowSecondsOverride integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

404 找不到資源

欄位型別必填可為 null說明與限制
type string 否 是 —
title string 否 是 —
status integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
detail string 否 是 —
instance string 否 是 —
GET /api/runtime/mcp-keys/available-tools

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
dbManagementId query integer | string (int32) 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/runtime/mcp-keys/test-db-connection

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/mcp-keys.create, /runtime/db-management.create, /runtime/db-management.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
dbSettingMode integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
dbManagementId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$
sqlProvider null | SqlAgentToolType 否 否 —
host string 否 是 —
port string 否 是 —
username string 否 是 —
password string 否 是 —
database string 否 是 —
extraSettings string 否 是 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/operability/db-health

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/operability.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/operability/deliveries

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/operability.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
limit query integer | string (int32) 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

POST /api/runtime/operability/deliveries/{id}/retry

身分驗證: AdminBearer

所需權限: /runtime/operability.edit

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
id path integer (int64) 是 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/operability/key-usage

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/operability.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
From query string (date-time) 否 —
To query string (date-time) 否 —
DbManagementId query integer | string (int32) 否 —
AccessKeyId query integer | string (int32) 否 —
ToolName query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

GET /api/runtime/operability/metrics

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/operability.view

路徑與查詢參數

欄位 位置 型別 必填 說明與限制
From query string (date-time) 否 —
To query string (date-time) 否 —
DbManagementId query integer | string (int32) 否 —
AccessKeyId query integer | string (int32) 否 —
ToolName query string 否 —

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

執行環境診斷 RuntimeDoctor

GET /api/runtime/operability/doctor

身分驗證: AdminBearer / ManagementApiKey

所需權限: /runtime/operability.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

欄位型別必填可為 null說明與限制
overallStatus string 是 否 —
environment string 是 否 —
deploymentMode string 是 否 —
generatedAtUtc string (date-time) 是 否 —
checks array<RuntimeDoctorCheck> 是 否 —
checks[].id string 是 否 —
checks[].category string 是 否 —
checks[].status string 是 否 —
checks[].title string 是 否 —
checks[].detail string 是 否 —
checks[].action string 否 是 —

安全性政策 SecurityPolicy

GET /api/runtime/security

身分驗證: AdminBearer

所需權限: /runtime/security.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型

PUT /api/runtime/security

身分驗證: AdminBearer

所需權限: /runtime/security.edit

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
queryMaxRows integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
queryTimeoutSeconds integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
requireWhereForUpdate boolean 否 否 —
requireWhereForDelete boolean 否 否 —
allowFullTableUpdate boolean 否 否 —
allowFullTableDelete boolean 否 否 —
dmlMaxAffectedRows integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
keyPermitLimit integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
keyWindowSeconds integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
maxConcurrentSql integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
updatedAt string (date-time) 否 是 —
updatedBy string 否 是 —

回應模型

200 成功

後端尚未宣告此回應的資料模型

SQL 分析 SqlExplain

POST /api/runtime/security/sql-explain

身分驗證: AdminBearer

所需權限: /runtime/security.view

路徑與查詢參數

無

請求內容

application/json · 必填: 是

欄位型別必填可為 null說明與限制
dbManagementId integer | string (int32) 否 否 格式規則: ^-?(?:0|[1-9]\d*)$
sql string 否 否 —
statementType string 否 否 —
sourceDialect string 否 是 —
accessKeyId integer | string (int32) 否 是 格式規則: ^-?(?:0|[1-9]\d*)$

回應模型

200 成功

後端尚未宣告此回應的資料模型

SQL 分析上下文 SqlExplainContext

GET /api/runtime/security/sql-explain/context

身分驗證: AdminBearer

所需權限: /runtime/security.view

路徑與查詢參數

無

請求內容

無

回應模型

200 成功

後端尚未宣告此回應的資料模型